org.apache.maven.project

## Class DefaultMavenProjectHelper

- java.lang.Object
- - org.apache.maven.project.DefaultMavenProjectHelper

All Implemented Interfaces:
  MavenProjectHelper

    public class DefaultMavenProjectHelper
    extends java.lang.Object
    implements MavenProjectHelper

### Field Summary

### Fields inherited from interface org.apache.maven.project.MavenProjectHelper

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`DefaultMavenProjectHelper()`

### Method Summary

Methods
`void` `addResource(MavenProject project, java.lang.String resourceDirectory, java.util.List includes, java.util.List excludes)`
`void` `addTestResource(MavenProject project, java.lang.String resourceDirectory, java.util.List includes, java.util.List excludes)`
`void` `attachArtifact(MavenProject project, java.io.File artifactFile, java.lang.String artifactClassifier)`
`void` `attachArtifact(MavenProject project, java.lang.String artifactType, java.io.File artifactFile)`
`void` `attachArtifact(MavenProject project, java.lang.String artifactType, java.lang.String artifactClassifier, java.io.File artifactFile)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultMavenProjectHelper

    public DefaultMavenProjectHelper()

### Method Detail

#### attachArtifact

    public void attachArtifact(MavenProject project,
                      java.lang.String artifactType,
                      java.lang.String artifactClassifier,
                      java.io.File artifactFile)

Specified by:
  `attachArtifact` in interface `MavenProjectHelper`

#### attachArtifact

    public void attachArtifact(MavenProject project,
                      java.lang.String artifactType,
                      java.io.File artifactFile)

Specified by:
  `attachArtifact` in interface `MavenProjectHelper`

#### attachArtifact

    public void attachArtifact(MavenProject project,
                      java.io.File artifactFile,
                      java.lang.String artifactClassifier)

Specified by:
  `attachArtifact` in interface `MavenProjectHelper`

#### addResource

    public void addResource(MavenProject project,
                   java.lang.String resourceDirectory,
                   java.util.List includes,
                   java.util.List excludes)

Specified by:
  `addResource` in interface `MavenProjectHelper`

#### addTestResource

    public void addTestResource(MavenProject project,
                       java.lang.String resourceDirectory,
                       java.util.List includes,
                       java.util.List excludes)

Specified by:
  `addTestResource` in interface `MavenProjectHelper`